
import 'package:origamicore/models/externalService.dart';
import 'package:origamicore/models/messageModel.dart';
import 'package:origamicore/models/packageIndex.dart';
import 'package:origamicore/models/serviceRoute.dart';
import 'package:origamicore/routing/routeResponse.dart';
import 'package:origamicore/routing/router.dart';

import 'models/uploadConfig.dart';
import 'services/authService.dart'; 

class UploadIndex extends PackageIndex
{
  UploadConfig _cf=UploadConfig();

  @override
  Future jsonConfig(config) {
    for(var a in config)
    {
      if(a['type']=='testUpload')
      {
        _cf=UploadConfig.fromJson(a); 
      }
    }  
    var data=<String, ExtrnalService>{};
    AuthService.attachService(data,_cf); 
    
    Router.addRoute('testUpload', ServiceRoute( )..externalServices=data); 
  }

  @override
  void restart() { 
  }

  @override
  Future start()async { 
  }

  @override
  void stop() { 
  }
}
