
import 'package:origamicore/models/serializedObject.dart';

class RedisConfig  extends SerializedObject
{
  String host='';
  String id='';
  int port;
  int secExpireTime=0;
  RedisConfig({this.host,this.secExpireTime,  });
  @override
  void fromJson(dynamic data)
  { 
    if(data['host']!=null) host=data['host'];
    if(data['id']!=null) id=data['id'];
    if(data['port']!=null) port=data['port'];
    if(data['secExpireTime']!=null) secExpireTime=data['secExpireTime'];
  }
  @override
  dynamic toJson()
  { 
  	var data ={};
      data['host']=host; 
      data['id']=id; 
      data['port']=port; 
      data['secExpireTime']=secExpireTime; 
  	return data;
  }
}