import 'dart:convert';
import 'dart:io';

import 'package:origamicore/models/externalService.dart';
import 'package:origamicore/models/messageModel.dart';
import 'package:origamicore/routing/routeResponse.dart';

import '../models/uploadConfig.dart';
 

class AuthService
{
  
  static HttpClient client = HttpClient();
  static String context; 
  static String rcontext; 
  static Future<dynamic> getData(String url)async
  {
    var request = await client.getUrl(Uri.parse(url));
    final response = await request.close(); 
    var keyText= await response.transform(Utf8Decoder()).first;
    var keydata=json.decode(keyText)['data']; 
    return keydata;

  }
  static void attachService(Map<String, ExtrnalService> data, UploadConfig config)
  {  
    context=config.dbContext; 

    data['upload']=ExtrnalService(function:upload,isPublic: true,requireProp: ['upload'] );  
    data['login']=ExtrnalService(function:login,isPublic: true,requireProp: ['upload'] );  
    data['isLogin']=ExtrnalService(function:isLogin,isPublic: false,requireProp: [] );  
  }  
  
  static Future<RouteResponse> isLogin(MessageModel message) async 
  { 
    
    return RouteResponse(response:ResponseDataModel(data:{}  ) );
  }
  static Future<RouteResponse> login(MessageModel message) async 
  { 
    return RouteResponse(response:ResponseDataModel(data:{}  ) ,session:{'userid':'vahid'});
  }
  static Future<RouteResponse> upload(MessageModel message) async 
  { 
    var file = message.internalData['filename'];  
    return RouteResponse(response:ResponseDataModel(data:file ) );
  } 
}