
import 'package:origamicore/models/serializedObject.dart';

class JwtConfig  extends SerializedObject
{
  String key='';
  int secExpireTime=0;
  JwtConfig({this.key,this.secExpireTime,  });
  @override
  void fromJson(dynamic data)
  { 
    if(data['key']!=null) key=data['key'];
    if(data['secExpireTime']!=null) secExpireTime=data['secExpireTime'];
  }
  @override
  dynamic toJson()
  { 
  	var data ={};
      data['key']=key; 
      data['secExpireTime']=secExpireTime; 
  	return data;
  }
}